[arch-commits] Commit in transmission/trunk (PKGBUILD)

Ionut Biru ibiru at archlinux.org
Wed Jun 16 06:35:43 EDT 2010


    Date: Wednesday, June 16, 2010 @ 06:35:42
  Author: ibiru
Revision: 82739

upgpkg: transmission 2.00-1
update to 2.00, adding transmission-qt to repos

Modified:
  transmission/trunk/PKGBUILD

----------+
 PKGBUILD |    9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-16 10:33:10 UTC (rev 82738)
+++ PKGBUILD	2010-06-16 10:35:42 UTC (rev 82739)
@@ -3,7 +3,7 @@
 
 pkgbase=transmission
 pkgname=('transmission-cli' 'transmission-gtk' 'transmission-qt')
-pkgver=1.93
+pkgver=2.00
 pkgrel=1
 arch=('i686' 'x86_64')
 url="http://www.transmissionbt.com/"
@@ -11,7 +11,7 @@
 makedepends=('intltool' 'curl' 'libnotify' 'desktop-file-utils' 'qt' 'libevent')
 source=(http://mirrors.m0k.org/transmission/files/${pkgbase}-${pkgver}.tar.bz2
         transmissiond transmissiond.conf qtr.desktop)
-md5sums=('f68358d03e46bec5704bbaa894990152'
+md5sums=('02a4d23bdd6be2fba6d8e0b24f630dab'
          '50b7c17300bc8b38f44fb6f681ba05d0'
          '4170b71ad5d6c499a8a16c6e86b77cce'
          '18912ee58b00938c177f64f6bdd6eed9')
@@ -20,7 +20,7 @@
 
   export CFLAGS="$CFLAGS -fno-strict-aliasing"
 
-  ./configure --prefix=/usr --disable-wx || return 1
+  ./configure --prefix=/usr || return 1
   make || return 1
   pushd qt
   qmake qtr.pro || return 1
@@ -42,7 +42,6 @@
   install -D -m755 "${srcdir}/transmissiond" "${pkgdir}/etc/rc.d/transmissiond" || return 1
   install -D -m644 "${srcdir}/transmissiond.conf" "${pkgdir}/etc/conf.d/transmissiond" || return 1
   install -D -m644 COPYING "${pkgdir}/usr/share/licenses/transmission-cli/COPYING" || return 1
-
 }
 
 package_transmission-gtk() {
@@ -60,7 +59,7 @@
 
 package_transmission-qt() {
   pkgdesc="Fast, easy, and free BitTorrent client (Qt GUI)"
-  depends=('curl' 'qt')
+  depends=('curl' 'qt' 'libevent')
   optdepends=('transmission-cli: daemon and web support')
 
   cd "${srcdir}/${pkgbase}-${pkgver}"



More information about the arch-commits mailing list